with this POST request you can create a new subject
curl --request POST \
--url https://api.taidalos.com/v1/subjects/create-subject \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"aliases": [
"Facebook",
"Instagram"
],
"date_of_birth": "1980-04-07T00:00:00.000Z",
"date_of_incorporation": "1980-04-07T00:00:00.000Z",
"industries": [
"Banking",
"Insurance",
"Telecommunications"
],
"internal_id": "crm_id#123456789",
"name": "Jan Marsalek",
"nationalities": [
"US",
"GB"
],
"places": [
{
"description": "Head Office",
"place": "123 Main Street, New York, USA"
}
],
"type": "INDIVIDUAL"
}
}
'import requests
url = "https://api.taidalos.com/v1/subjects/create-subject"
payload = { "data": {
"aliases": ["Facebook", "Instagram"],
"date_of_birth": "1980-04-07T00:00:00.000Z",
"date_of_incorporation": "1980-04-07T00:00:00.000Z",
"industries": ["Banking", "Insurance", "Telecommunications"],
"internal_id": "crm_id#123456789",
"name": "Jan Marsalek",
"nationalities": ["US", "GB"],
"places": [
{
"description": "Head Office",
"place": "123 Main Street, New York, USA"
}
],
"type": "INDIVIDUAL"
} }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
aliases: ['Facebook', 'Instagram'],
date_of_birth: '1980-04-07T00:00:00.000Z',
date_of_incorporation: '1980-04-07T00:00:00.000Z',
industries: ['Banking', 'Insurance', 'Telecommunications'],
internal_id: 'crm_id#123456789',
name: 'Jan Marsalek',
nationalities: ['US', 'GB'],
places: [{description: 'Head Office', place: '123 Main Street, New York, USA'}],
type: 'INDIVIDUAL'
}
})
};
fetch('https://api.taidalos.com/v1/subjects/create-subject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.taidalos.com/v1/subjects/create-subject")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"aliases\": [\n \"Facebook\",\n \"Instagram\"\n ],\n \"date_of_birth\": \"1980-04-07T00:00:00.000Z\",\n \"date_of_incorporation\": \"1980-04-07T00:00:00.000Z\",\n \"industries\": [\n \"Banking\",\n \"Insurance\",\n \"Telecommunications\"\n ],\n \"internal_id\": \"crm_id#123456789\",\n \"name\": \"Jan Marsalek\",\n \"nationalities\": [\n \"US\",\n \"GB\"\n ],\n \"places\": [\n {\n \"description\": \"Head Office\",\n \"place\": \"123 Main Street, New York, USA\"\n }\n ],\n \"type\": \"INDIVIDUAL\"\n }\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.taidalos.com/v1/subjects/create-subject"
payload := strings.NewReader("{\n \"data\": {\n \"aliases\": [\n \"Facebook\",\n \"Instagram\"\n ],\n \"date_of_birth\": \"1980-04-07T00:00:00.000Z\",\n \"date_of_incorporation\": \"1980-04-07T00:00:00.000Z\",\n \"industries\": [\n \"Banking\",\n \"Insurance\",\n \"Telecommunications\"\n ],\n \"internal_id\": \"crm_id#123456789\",\n \"name\": \"Jan Marsalek\",\n \"nationalities\": [\n \"US\",\n \"GB\"\n ],\n \"places\": [\n {\n \"description\": \"Head Office\",\n \"place\": \"123 Main Street, New York, USA\"\n }\n ],\n \"type\": \"INDIVIDUAL\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"subject_id": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"context": {
"method": "{method}",
"path": "{path}",
"timestamp": "<string>"
},
"details": "Details explaining the error",
"instance": "/org/{org_id}/user/{user_id}/request-id/{request_id}",
"title": "Error ShortName",
"type": "https://errors.taidalos.com/common/{error-type}"
}Subjects
Create Subject
POST
/
v1
/
subjects
/
create-subject
with this POST request you can create a new subject
curl --request POST \
--url https://api.taidalos.com/v1/subjects/create-subject \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"aliases": [
"Facebook",
"Instagram"
],
"date_of_birth": "1980-04-07T00:00:00.000Z",
"date_of_incorporation": "1980-04-07T00:00:00.000Z",
"industries": [
"Banking",
"Insurance",
"Telecommunications"
],
"internal_id": "crm_id#123456789",
"name": "Jan Marsalek",
"nationalities": [
"US",
"GB"
],
"places": [
{
"description": "Head Office",
"place": "123 Main Street, New York, USA"
}
],
"type": "INDIVIDUAL"
}
}
'import requests
url = "https://api.taidalos.com/v1/subjects/create-subject"
payload = { "data": {
"aliases": ["Facebook", "Instagram"],
"date_of_birth": "1980-04-07T00:00:00.000Z",
"date_of_incorporation": "1980-04-07T00:00:00.000Z",
"industries": ["Banking", "Insurance", "Telecommunications"],
"internal_id": "crm_id#123456789",
"name": "Jan Marsalek",
"nationalities": ["US", "GB"],
"places": [
{
"description": "Head Office",
"place": "123 Main Street, New York, USA"
}
],
"type": "INDIVIDUAL"
} }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
aliases: ['Facebook', 'Instagram'],
date_of_birth: '1980-04-07T00:00:00.000Z',
date_of_incorporation: '1980-04-07T00:00:00.000Z',
industries: ['Banking', 'Insurance', 'Telecommunications'],
internal_id: 'crm_id#123456789',
name: 'Jan Marsalek',
nationalities: ['US', 'GB'],
places: [{description: 'Head Office', place: '123 Main Street, New York, USA'}],
type: 'INDIVIDUAL'
}
})
};
fetch('https://api.taidalos.com/v1/subjects/create-subject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.taidalos.com/v1/subjects/create-subject")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"aliases\": [\n \"Facebook\",\n \"Instagram\"\n ],\n \"date_of_birth\": \"1980-04-07T00:00:00.000Z\",\n \"date_of_incorporation\": \"1980-04-07T00:00:00.000Z\",\n \"industries\": [\n \"Banking\",\n \"Insurance\",\n \"Telecommunications\"\n ],\n \"internal_id\": \"crm_id#123456789\",\n \"name\": \"Jan Marsalek\",\n \"nationalities\": [\n \"US\",\n \"GB\"\n ],\n \"places\": [\n {\n \"description\": \"Head Office\",\n \"place\": \"123 Main Street, New York, USA\"\n }\n ],\n \"type\": \"INDIVIDUAL\"\n }\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.taidalos.com/v1/subjects/create-subject"
payload := strings.NewReader("{\n \"data\": {\n \"aliases\": [\n \"Facebook\",\n \"Instagram\"\n ],\n \"date_of_birth\": \"1980-04-07T00:00:00.000Z\",\n \"date_of_incorporation\": \"1980-04-07T00:00:00.000Z\",\n \"industries\": [\n \"Banking\",\n \"Insurance\",\n \"Telecommunications\"\n ],\n \"internal_id\": \"crm_id#123456789\",\n \"name\": \"Jan Marsalek\",\n \"nationalities\": [\n \"US\",\n \"GB\"\n ],\n \"places\": [\n {\n \"description\": \"Head Office\",\n \"place\": \"123 Main Street, New York, USA\"\n }\n ],\n \"type\": \"INDIVIDUAL\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"subject_id": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"context": {
"method": "{method}",
"path": "{path}",
"timestamp": "<string>"
},
"details": "Details explaining the error",
"instance": "/org/{org_id}/user/{user_id}/request-id/{request_id}",
"title": "Error ShortName",
"type": "https://errors.taidalos.com/common/{error-type}"
}Headers
Body
application/json
request body
data represents the primary structure containing information about a subject to be created, including details like name, type, industries, and more.
Show child attributes
Show child attributes
Response
Created
data contains the created subject's unique identifier.
Show child attributes
Show child attributes
⌘I
